Issue 81833 - [MWEx] No leading line break before bullets/numberings if bullet/numbering is not terminated by a line break
Summary: [MWEx] No leading line break before bullets/numberings if bullet/numbering is...
Status: CLOSED FIXED
Alias: None
Product: Writer
Classification: Application
Component: code (show other issues)
Version: OOo 2.3
Hardware: All All
: P3 Trivial (vote)
Target Milestone: ---
Assignee: mikhail.voytenko
QA Contact: issues@sw
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-09-21 18:30 UTC by norbert2
Modified: 2013-08-07 14:42 UTC (History)
2 users (show)

See Also:
Issue Type: PATCH
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
wiki_test1.odt (6.96 KB, application/vnd.oasis.opendocument.text)
2007-09-21 18:31 UTC, norbert2
no flags Details
wiki_test1.txt (16 bytes, text/plain)
2007-09-21 18:32 UTC, norbert2
no flags Details
wiki_test2.odt (6.82 KB, application/vnd.oasis.opendocument.text)
2007-09-21 18:32 UTC, norbert2
no flags Details
wiki_test2.txt (22 bytes, text/plain)
2007-09-21 18:32 UTC, norbert2
no flags Details
Revision 2723 of the transformation fixing some newline issues. (37.34 KB, application/x-compressed)
2007-09-24 22:07 UTC, haui
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description norbert2 2007-09-21 18:30:20 UTC
Hi,

please compare the two (attached) outputs of the MediaWiki filter for the two
(attached) odt-documents.

In case there is no line break behind the bullet, the bullet line is merged with
the line above, which leads to bad wiki output since the “*†has to be at the
beginning of the line.

The same bug happens with numberings (#) instead of bullets.
Comment 1 norbert2 2007-09-21 18:31:42 UTC
Created attachment 48410 [details]
wiki_test1.odt
Comment 2 norbert2 2007-09-21 18:32:04 UTC
Created attachment 48411 [details]
wiki_test1.txt
Comment 3 norbert2 2007-09-21 18:32:29 UTC
Created attachment 48412 [details]
wiki_test2.odt
Comment 4 norbert2 2007-09-21 18:32:50 UTC
Created attachment 48413 [details]
wiki_test2.txt
Comment 5 haui 2007-09-24 22:07:17 UTC
Created attachment 48462 [details]
Revision 2723 of the transformation fixing some newline issues.
Comment 6 haui 2007-09-24 22:13:51 UTC
Please note: The updated transformation was developed based on the enhancement
regarding native OOo formula support that was requested in Issue 81373.
Therefore, this fix might not qualify for inclusion into 2.3.1.
Comment 7 eric.savary 2007-09-25 11:15:02 UTC
@MAV: Please, have a look!
Comment 8 eric.savary 2007-09-25 11:15:26 UTC
@MAV: Please, have a look!
Comment 9 mikhail.voytenko 2007-11-30 11:56:51 UTC
Marking the issue as a patch.
Comment 10 norbert2 2007-11-30 21:49:33 UTC
Issue 82978 contains revision 2730 of the filter.
Comment 11 mikhail.voytenko 2007-12-07 10:50:11 UTC
The changes part related to the issue has been integrated into cws fwk80.

mav->haui: Thanks a lot for the patch. By the way since not all of the changes
from your versions hierarchy are accepted, could you please in future provide an
attached diff file with the changes. This is actually the normal way to submit a
patch. It will not take much time, but will simplify the integration.
Comment 12 carsten.driesner 2008-01-15 15:31:30 UTC
cd: Successfully verified on CWS fwk80.
Comment 13 mikhail.voytenko 2008-02-28 09:30:24 UTC
Closing.